﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
INSTRUMENT:            Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
INSTRUMENT:            Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /O_CAL
DATE:                  2014-03-13 15:10:15
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       632
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#          output tracking: <0.25 dB, equivalent output
#          SWR: <1.22, HP/Agilent 11667A or equivalent
#          N(f) all ports
#        N(m) to BNC(f) adapter, 3 sets
#        50 Ω feed through terminator, 2 or 4 sets (Depend on UUT models)
#        50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek TPS2000 Cal Initialize RS-232

  1.002  JMPL         DCV_GAIN                     PSUBI("DCV Gain")
  1.003  JMPL         DCV_MEAS                     PSUBI("DCV Meas")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER                      PSUBI(" Trig Sens")
  1.006  JMPL         EXT_TRIGGER                  PSUBI("ExTrig Sens")
  1.007  JMPL         SAMPLE_RATE                  PSUBI("Sample Rate")
  1.008  DISP         {Undefined subprocedure!}
  1.009  END

  1.010  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL  ======================

  2.001  LABEL        DCV_GAIN
  2.002  MATH         CONF = CONF(@CalDev)

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DC VOLTAGE GAIN ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  HEAD         {Channel [V @Chan]} DC VOLTAGE GAIN ACCURACY
  2.009  HEAD         -2 5 mV/div
  2.010  TARGET       -p
  2.011  TSET         TDESC = 5 mV/div

  2.012  IF           @Chan != 1 && @CalMultiChan == 0
  2.013  DISP         Remove the 50 Ω feedthrough.
  2.014  ENDIF

  2.015  CALL         Sub Scope Connection /O_CAL
  2.016  PORT         CH[V @Chan]:PRO 1;SCA 5E-3
  2.017  PORT         ACQ:MOD AVE;NUMAV 16
  2.018  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  2.019  TARGET       -m
  2.020  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  2.020  O_CAL        +Voltage = +17.5 mV; OutputImpedance = 1 MOhm
# Retrieve the accuracy of positive output of calibrator.
  2.021  MATH         PosAcc = REFACC()
  2.022  WAIT         -t 7 Settling...
  2.023  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.024  MATH         PosValue = MEM / 1E-3
  2.025  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  2.025  O_CAL        +Voltage = -17.5 mV; OutputImpedance = 1 MOhm
# Retrieve the accuracy of negative output of calibrator.
  2.026  MATH         NegAcc = REFACC()
  2.027  WAIT         -t 7 Settling...
  2.028  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.029  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level.
  2.030  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2 / 1E-3
  2.031  ACC          35.0mV         L1U
  2.032  MATH         MEM = PosValue - NegValue
  2.033  MEMCX        35.0mV         1.4U

  3.001  HEAD         -2 200 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 200 mV/div
  3.004  PORT         CH[V @Chan]:SCA 200E-3
  3.005  TARGET       -m
  3.006  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  3.006  O_CAL        +Voltage = +700 mV; OutputImpedance = 1 MOhm
  3.007  MATH         PosAcc = REFACC()
  3.008  WAIT         -t 7 Settling...
  3.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.010  MATH         PosValue = MEM / 1E-3
  3.011  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  3.011  O_CAL        +Voltage = -700 mV; OutputImpedance = 1 MOhm
  3.012  MATH         NegAcc = REFACC()
  3.013  WAIT         -t 7 Settling...
  3.014  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.015  MATH         NegValue = MEM / 1E-3
  3.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2 / 1E-3
  3.017  ACC          1400mV         L1U
  3.018  MATH         MEM = PosValue - NegValue
  3.019  MEMCX        mV             42U

  4.001  HEAD         -2 2 V/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 2 V/div
  4.004  PORT         CH[V @Chan]:SCA 2
  4.005  TARGET       -m
  4.006  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  4.006  O_CAL        +Voltage = +7.00 V; OutputImpedance = 1 MOhm
  4.007  MATH         PosAcc = REFACC()
  4.008  WAIT         -t 7 Settling...
  4.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.010  MATH         PosValue = MEM
  4.011  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  4.011  O_CAL        +Voltage = -7.00 V; OutputImpedance = 1 MOhm
  4.012  MATH         NegAcc = REFACC()
  4.013  WAIT         -t 7 Settling...
  4.014  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.015  MATH         NegValue = MEM
  4.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2
  4.017  ACC          14.00V         L1U
  4.018  MATH         MEM = PosValue - NegValue
  4.019  MEMCX        V              0.42U

  5.001  O_CAL        Standby
  5.002  HEAD         -2
  5.003  HEAD
  5.004  END

  5.005  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL  ======================

  6.001  LABEL        DCV_MEAS

  6.002  IF           @Chan == 1
  6.003  RSLT         =
  6.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  6.005  ENDIF

  6.006  RSLT         =
  6.007  HEAD         {Channel [V @Chan]} DC VOLTAGE MEASUREMENT ACCURACY
  6.008  HEAD         -2 {5 mV/div}
  6.009  TARGET       -p
  6.010  TSET         TDESC = Vertical Position 0
  6.011  PORT         CH[V @Chan]:PRO 1;SCA 5E-3
  6.012  PORT         CH[V @Chan]:POS 0E0
  6.013  PORT         ACQ:MOD AVE;NUMAV 16
  6.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  6.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  6.015  O_CAL        +Voltage = +17.5 mV; OutputImpedance = 1 MOhm
  6.016  WAIT         -t 7 Settling...
  6.017  TARGET       -m
  6.018  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  6.019  MATH         MEM = MEM / 1E-3
  6.020  MEMCX        17.5mV         2.0U

  7.001  TSET         TDESC = Vertical Position 0
  7.002  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  7.002  O_CAL        +Voltage = -17.5 mV; OutputImpedance = 1 MOhm
  7.003  WAIT         -t 7 Settling...
  7.004  TARGET       -m
  7.005  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  7.006  MATH         MEM = MEM / 1E-3
  7.007  MEMCX        -17.5mV        2.0U

  8.001  TSET         TDESC = Vertical Position -17.6 mV
  8.002  PORT         CH[V @Chan]:POS -3.52E0
  8.003  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  8.003  O_CAL        +Voltage = 35.0 mV; OutputImpedance = 1 MOhm
  8.004  WAIT         -t 7 Settling...
  8.005  TARGET       -m
  8.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  8.007  MATH         MEM = MEM / 1E-3
  8.008  MEMCX        35.0mV         3.6U

  9.001  TSET         TDESC = Vertical Position +17.6 mV
  9.002  PORT         CH[V @Chan]:POS 3.52E0
  9.003  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  9.003  O_CAL        +Voltage = -35.0 mV; OutputImpedance = 1 MOhm
  9.004  WAIT         -t 7 Settling...
  9.005  TARGET       -m
  9.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  9.007  MATH         MEM = MEM / 1E-3
  9.008  MEMCX        -35.0mV        3.6U

 10.001  HEAD         -2 {200 mV/div}
 10.002  TARGET       -p
 10.003  TSET         TDESC = Vertical Position 0
 10.004  PORT         CH[V @Chan]:SCA 200E-3
 10.005  PORT         CH[V @Chan]:POS 0E0
 10.006  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 10.006  O_CAL        +Voltage = +700 mV; OutputImpedance = 1 MOhm
 10.007  WAIT         -t 7 Settling...
 10.008  TARGET       -m
 10.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 10.010  MATH         MEM = MEM / 1E-3
 10.011  MEMCX        700mV          42U

 11.001  TSET         TDESC = Vertical Position 0
 11.002  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 11.002  O_CAL        +Voltage = -700 mV; OutputImpedance = 1 MOhm
 11.003  WAIT         -t 7 Settling...
 11.004  TARGET       -m
 11.005  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 11.006  MATH         MEM = MEM / 1E-3
 11.007  MEMCX        -700mV         42U

 12.001  TSET         TDESC = Vertical Position -704 mV
 12.002  PORT         CH[V @Chan]:POS -3.52E0
 12.003  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 12.003  O_CAL        +Voltage = 1.40 V; OutputImpedance = 1 MOhm
 12.004  WAIT         -t 7 Settling...
 12.005  TARGET       -m
 12.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 12.007  MEMCX        1.40V          0.06U

 13.001  TSET         TDESC = Vertical Position 704 mV
 13.002  PORT         CH[V @Chan]:POS 3.52E0
 13.003  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 13.003  O_CAL        +Voltage = -1.40 V; OutputImpedance = 1 MOhm
 13.004  WAIT         -t 7 Settling...
 13.005  TARGET       -m
 13.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 13.007  MEMCX        -1.40V         0.06U

 14.001  HEAD         -2 {2 V/div}
 14.002  TARGET       -p
 14.003  TSET         TDESC = Vertical Position 0
 14.004  PORT         CH[V @Chan]:SCA 2
 14.005  PORT         CH[V @Chan]:POS 0E0
 14.006  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 14.006  O_CAL        +Voltage = +7.00 V; OutputImpedance = 1 MOhm
 14.007  WAIT         -t 7 Settling...
 14.008  TARGET       -m
 14.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 14.010  MEMCX        7.00V          0.41U

 15.001  TSET         TDESC = Vertical Position 0
 15.002  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 15.002  O_CAL        +Voltage = -7.00 V; OutputImpedance = 1 MOhm
 15.003  WAIT         -t 7 Settling...
 15.004  TARGET       -m
 15.005  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 15.006  MEMCX        -7.00V         0.41U

 16.001  TSET         TDESC = Vertical Position -7.04 V
 16.002  PORT         CH[V @Chan]:POS -3.52E0
 16.003  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 16.003  O_CAL        +Voltage = 14.0 V; OutputImpedance = 1 MOhm
 16.004  WAIT         -t 7 Settling...
 16.005  TARGET       -m
 16.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 16.007  MEMCX        14.0V          0.7U

 17.001  TSET         TDESC = Vertical Position  7.04 V
 17.002  PORT         CH[V @Chan]:POS 3.52E0
 17.003  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 17.003  O_CAL        +Voltage = -14.0 V; OutputImpedance = 1 MOhm
 17.004  WAIT         -t 7 Settling...
 17.005  TARGET       -m
 17.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 17.007  MEMCX        -14.0V         0.7U

 18.001  O_CAL        Standby
 18.002  HEAD         -2
 18.003  HEAD
 18.004  END

 18.005  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL  =====================

 19.001  LABEL        BANDWIDTH

 19.002  IF           @Chan == 1
 19.003  RSLT         =
 19.004  RSLT         =BANDWIDTH
 19.005  RSLT         =Limit: >= 2.12 Vpp, Reference = 3 Vpp @ 50 kHz
 19.006  ENDIF

 19.007  RSLT         =
 19.008  RSLT         = Channel [V @Chan]
 19.009  HEAD         CH [V @Chan] BANDWIDTH
 19.010  HEAD         -2 500 mV/div
 19.011  TARGET
 19.012  CALL         Sub Scope Connection (50 Ω feedthrough) /O_CAL
 19.013  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 19.014  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
 19.015  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
 19.016  PORT         HOR:SCA 10E-6
 19.017  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
 19.018  MATH         MEM = 3; MEM1 = MEM

 19.019  DO
 19.020  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 19.021  IF           MEM > 5.5 || MEM < 0.005
 19.022  MATH         MEM = 3
 19.023  ENDIF

 19.024  DO
 19.025  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 19.025  O_CAL        +Voltage = [MEM] Vpp; @Frequency = 50 kHz
 19.026  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
 19.027  PORT         [D500]TRIG:STATE?[I$]
 19.028  UNTIL        FINDI(MEM2, "TRIG", 1)

 19.029  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 19.030  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

 19.031  PORT         HOR:SCA 10E-9
# Last calibrator amplitude setting is in MEM1.
 19.032  MATH         MEM = MEM1
 19.033  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 19.033  O_CAL        +Voltage = [MEM] Vpp; @Frequency = [V @Bandwidth]

 19.034  WAIT         -t 5 System settling...
 19.035  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 19.036  EVAL   -e (MEM >= 2.12) : [MEM] Vpp @ [V @Bandwidth], 500 mv/div

 20.001  O_CAL        Standby
 20.002  HEAD         -2
 20.003  END

 20.004  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL  =====================

 21.001  LABEL        TRIGGER

 21.002  IF           @Chan == 1
 21.003  RSLT         =
 21.004  RSLT         =EDGE-TRIGGER SENSITIVITY
 21.005  ENDIF

 21.006  RSLT         =
 21.007  RSLT         = Channel [V @Chan]
 21.008  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY
 21.009  TARGET
 21.010  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 21.011  PORT         HOR:SCA 25E-9
 21.012  PORT         ACQ:MOD SAMP;STATE ON
 21.013  PORT         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
 21.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
 21.015  MATH         MEM = 1000; MEM1 = MEM

 21.016  DO
 21.017  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 21.018  IF           MEM > 5500 || MEM < 5
 21.019  MATH         MEM = 1000
 21.020  ENDIF

 21.021  DO
 21.022  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 21.022  O_CAL        +Voltage = [MEM] mVpp; Frequency = 10 MHz
 21.023  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
 21.024  PORT         [D500]TRIG:STATE?[I$]
 21.025  UNTIL        FINDI(MEM2, "TRIG", 1)

 21.026  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 21.027  MATH         MEM = MEM / 1E-3
 21.028  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp that is just the required test signal for trig
# sensitivity (1 div at 10 MHz).
 21.029  MATH         MEM = MEM1 / 2
 21.030  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 21.030  O_CAL        +Voltage = [MEM] mVpp; Frequency = 10 MHz
 21.031  MATH         mVppStd = MEM1
 21.032  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 21.033  MATH         @PeakValue = mVppStd / 2 * 1E-3
 21.034  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 21.035  MATH         ResultStr = " Rising Slope, 1 div at 10 MHz"
 21.036  EVAL   -e @Trigged : [V ResultStr]

 22.001  PORT         HOR:SCA 10E-9
# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 22.002  MATH         MEM = 1500; MEM1 = MEM

 22.003  DO
 22.004  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 22.005  IF           MEM > 5500 || MEM < 5
 22.006  MATH         MEM = 1500
 22.007  ENDIF

 22.008  DO

 22.009  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 22.009  O_CAL        +Voltage = [MEM] mVpp; @Frequency = [V @Bandwidth]
 22.010  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
 22.011  PORT         [D500]TRIG:STATE?[I$]
 22.012  UNTIL        FINDI(MEM2, "TRIG", 1)

 22.013  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 22.014  MATH         MEM = MEM / 1E-3
 22.015  UNTIL        (MEM >= 1450) && (MEM <= 1550)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 750 mVpp that is just the required test signal for trig
# sensitivity (1.5 div at bandwidth frequency).
 22.016  MATH         MEM = MEM1 / 2

 22.017  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 22.017  O_CAL        +Voltage = [MEM] mVpp; @Frequency = [V @Bandwidth]

 22.018  IF           ZCMPI(@Bandwidth,"100 MHz")
 22.019  MATH         TestFreq = "100 MHz"
 22.020  ELSEIF       ZCMPI(@Bandwidth,"200 MHz")
 22.021  MATH         TestFreq = "200 MHz"
 22.022  ENDIF

# Save the output of calibrator.
 22.023  MATH         mVppStd = MEM1
 22.024  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 22.025  MATH         @PeakValue = mVppStd / 2 * 1E-3
 22.026  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 22.027  MATH         ResultStr = " Rising Slope, 1.5 div at " & TestFreq
 22.028  EVAL   -e @Trigged : [V ResultStr]

 23.001  JMPL         FALL_EDGE_SENS

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 23.002  TARGET       -p
# Re-setup the calibrator output.
 23.003  MATH         MEM = mVppStd

 23.004  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 23.004  O_CAL        +Voltage = [MEM] mVpp; @Frequency = [V @Bandwidth]

 23.005  LABEL        FALL_EDGE_SENS
 23.006  PORT         TRIG:MAI:EDGE:SLO FALL
 23.007  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 23.008  MATH         @PeakValue = mVppStd / 2 * 1E-3
 23.009  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 23.010  MATH         ResultStr = " Falling Slope, 1.5 div at " & TestFreq
 23.011  EVAL   -e @Trigged : [V ResultStr]

 24.001  PORT         TRIG:MAI:EDGE:SLO RISE
 24.002  O_CAL        Standby
 24.003  END

 24.004  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL  ===================

 25.001  LABEL        EXT_TRIGGER

 25.002  IF           @Chan == 1
 25.003  RSLT         =
 25.004  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
 25.005  ENDIF

 25.006  RSLT         =
 25.007  RSLT         = Channel [V @Chan]
 25.008  HEAD         CH [V @Chan] EXTERNAL EDGE-TRIGGER SENSITIVITY
 25.009  TARGET

 25.010  IF           FINDI(@CalDev, "58", 0)
 25.011  MATH         CalPort = "CHAN 1"
 25.012  ELSE
 25.013  MATH         CalPort = "SCOPE OUT"
 25.014  ENDIF

 25.015  DISP         Connect [V @CalDev] [V CalPort] to the input of a 2 way
 25.015  DISP         power splitter via a N(m) to BNC(f) adapter.
 25.015  DISP
 25.015  DISP         Connect one output of the power splitter to UUT
 25.015  DISP         CH [V @Chan] via a N(m) to BNC(f) adapter, a BNC(m)-(m)
 25.015  DISP         cable and a 50 Ω feed through terminator.
 25.015  DISP
 25.015  DISP         Connect the other output of the power splitter to UUT
 25.015  DISP         EXT TRIG via a N(m) to BNC(f) adapter, a BNC(m)-(m)
 25.015  DISP         cable and a 50 Ω feed through terminator.
 25.016  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 25.017  PORT         HOR:SCA 10E-9
 25.018  PORT         TRIG:MAI:MOD NORM;EDGE:SOU EXT
 25.019  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 2 Vpp, for the reason of using power slitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 4 Vpp.
 25.020  MATH         MEM = 2; MEM1 = 4

 25.021  DO
 25.022  MATH         MEM = MEM1 + (4 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 25.023  IF           MEM > 5.5 || MEM < 0.005
 25.024  MATH         MEM = 4
 25.025  ENDIF

 25.026  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 25.026  O_CAL        +Voltage = [MEM] Vpp; @Frequency = [V @Bandwidth]

 25.027  IF           ZCMPI(@Bandwidth,"100 MHz")
 25.028  MATH         TestFreq = "100 MHz"
 25.029  ELSEIF       ZCMPI(@Bandwidth,"200 MHz")
 25.030  MATH         TestFreq = "200 MHz"
 25.031  ENDIF

 25.032  MATH         @PeakValue = MEM1 / 4
 25.033  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 25.034  PORT         [D500]MEASU:MEAS[V @Chan]:VAL?[I]
 25.035  UNTIL        (MEM >= 1.90) && (MEM <= 2.10)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 1 Vpp that is just the required test signal for external
# trig sensitivity.
 25.036  MATH         VppStd = MEM1 / 2
 25.037  MATH         MEM = VppStd

 25.038  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 25.038  O_CAL        +Voltage = [MEM] Vpp; @Frequency = [V @Bandwidth]

 25.039  WAIT         -t 5 System settling...
 25.040  MATH         @PeakValue = MEM1 / 2 * 1E-3
 25.041  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 25.042  MATH         ResultStr = " Rising Slope, 2 div at " & TestFreq
 25.043  EVAL   -e @Trigged : [V ResultStr]

 26.001  JMPL         FALL_EDGE_EXSENS

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 26.002  TARGET
# Recall the saved output value of calibrator to set up output again.
 26.003  MATH         MEM = VppStd

 26.004  O_CAL        Mode = LevSine; Channel = [V @CalChan]
 26.004  O_CAL        +Voltage = [MEM] Vpp; @Frequency = [V @Bandwidth]

 26.005  IF           ZCMPI(@Bandwidth,"100 MHz")
 26.006  MATH         TestFreq = "100 MHz"
 26.007  ELSEIF       ZCMPI(@Bandwidth,"200 MHz")
 26.008  MATH         TestFreq = "200 MHz"
 26.009  ENDIF

 26.010  WAIT         -t 5 System settling...

 26.011  LABEL        FALL_EDGE_EXSENS
 26.012  PORT         TRIG:MAI:EDGE:SLO FALL
# Save the peak value of signal for later checking the trigger status.
 26.013  MATH         @PeakValue = MEM1 / 2 * 1E-3
 26.014  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 26.015  MATH         ResultStr = " Falling Slope, 2 div at " & TestFreq
 26.016  EVAL   -e @Trigged : [V ResultStr]

 27.001  PORT         TRIG:MAI:EDGE:SLO RISE
 27.002  O_CAL        Standby
 27.003  END
 27.004  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /O_CAL  ===================

 28.001  LABEL        SAMPLE_RATE
 28.002  RSLT         =
 28.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 28.004  TARGET
 28.005  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 28.006  PORT         HOR:SCA 1E-3
 28.007  O_CAL        Mode = Marker; Channel = [V @CalChan]
 28.007  O_CAL        +Per = 10 ms
 28.008  WAIT         -t 3 System Settling ...
 28.009  PORT         TRIG:MAI SETLEV
 28.010  PORT         CH[V @Chan]:POS 0
 28.011  PORT         HOR:POS 10E-3
 28.012  PORT         HOR:SCA 250E-9
 28.013  MESS         Does the rising edge of the marker cross the center
 28.013  MESS         horizontal graticule line within ±2 divisions of
 28.013  MESS         center graticule?
 28.014  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 29.001  MESS
 29.002  O_CAL        Standby
 29.003  END
